diff --git a/config.c b/config.c
index ae452305..4663dc1e 100644
--- a/config.c
+++ b/config.c
@@ -77,6 +77,7 @@ void config_set_defaults(void)
 	parse_hexstr("#ffffff 20", config.color_sep_fg);
 
 	config.csv_name_format	   = NULL; /* Leave as NULL (see in fmt.c) */
+	config.csv_single_window   = 0;
 }
 
 void config_cleanup(void)
@@ -254,6 +255,8 @@ static void process_line(char *line)
 	} else if (!strcmp(option, "csv_name_format")) {
 		xfree(config.csv_name_format);
 		config.csv_name_format = xstrdup(value);
+	} else if (!strcmp(option, "csv_single_window")) {
+		xatoi(&config.csv_single_window, value, XATOI_NONNEG, "config.csv_single_window");
 	}
 }
 
@@ -380,4 +383,8 @@ void config_post_process(void)
 
 	if (config.csv_name_format)
 		setenv("JGMENU_NAME_FORMAT", config.csv_name_format, 1);
+	if (config.csv_single_window)
+		setenv("JGMENU_SINGLE_WINDOW", "1", 1);
+	else
+		unsetenv("JGMENU_SINGLE_WINDOW");
 }
diff --git a/config.h b/config.h
index b0185745..0425e0d8 100644
--- a/config.h
+++ b/config.h
@@ -66,6 +66,7 @@ struct config {
 	double color_sep_fg[4];
 
 	char *csv_name_format;
+	int csv_single_window;
 };
 
 extern struct config config;
diff --git a/noncore/config/jgmenurc b/noncore/config/jgmenurc
index c3e850df..adf07855 100644
--- a/noncore/config/jgmenurc
+++ b/noncore/config/jgmenurc
@@ -65,3 +65,4 @@
 #color_sep_fg        = #ffffff 20
 
 #csv_name_format     = %n (%g)
+#csv_single_window   = 0
